pub use clap::builder::styling::Reset;
use clap::builder::styling::{Color, RgbColor};

pub const RED: Color = Color::Rgb(RgbColor(225, 55, 55)); // Red
pub const ORANGE: Color = Color::Rgb(RgbColor(215, 140, 100)); // Orange
pub const WHITE: Color = Color::Rgb(RgbColor(255, 255, 255)); // White
pub const BLUE: Color = Color::Rgb(RgbColor(60, 140, 185)); // Blue
pub const PURPLE: Color = Color::Rgb(RgbColor(180, 130, 215)); // Purple

pub trait EscapeSequence {
    fn to_escape_sequence(&self) -> String;
}

impl EscapeSequence for Color {
    fn to_escape_sequence(&self) -> String {
        match self {
            Color::Rgb(RgbColor(r, g, b)) => format!("\x1b[1;38;2;{r};{g};{b}m"),
            _ => unimplemented!(),
        }
    }
}
